%define upstream_name    Sys-RunAlone
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Make sure only one invocation of a script is active at a time
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildArch: noarch

%description
Provide a simple way to make sure the script from which this module is
loaded, is only running once on the server. Optionally allow for retrying
execution until the other instance of the script has finished.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGELOG META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-6.mga6
+ Revision: 1033600
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-5.mga6
+ Revision: 949730
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 790397
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 740262
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-2.mga5
+ Revision: 686291
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 jquelin <jquelin> 0.120.0-1.mga5
+ Revision: 641748
- imported package perl-Sys-RunAlone


* Tue Jul 01 2014 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
